SHOW(7)

NAME
SHOW - show the value of a run-time parameter

SYNOPSIS

SHOW name

SHOW ALL

  INPUTS

name
    The name of a run-time parameter. See SET [set(7)] for a list.

ALL Show all current session parameters.

DESCRIPTION

SHOW will display the current setting of a run-time parameter. These variables can be set using the SET statement or are determined at server start.

DIAGNOSTICS

ERROR: not a valid option name: name
    Message returned if variable does not stand for an existing parameter.

ERROR: permission denied
    You must be a superuser to be allowed to see certain settings.

NOTICE: Time zone is unknown
    If the TZ or PGTZ environment variable is not set.

EXAMPLES

Show the current DateStyle setting:

SHOW DateStyle;
NOTICE:  DateStyle is ISO with US (NonEuropean) conventions

Show the current genetic optimizer (geqo) setting:

SHOW GEQO;
NOTICE:  geqo is on

COMPATIBILITY

The SHOW command is a PostgreSQL extension.